package com.gic.haoban.manage.api.qdto.chat;

import com.gic.api.base.commons.BasePageInfo;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shangfeng
 * @date 2024-10-09 10:18:00
 */
public class GroupChatActivityRewardLogQDTO extends BasePageInfo implements Serializable {
    private static final long serialVersionUID = -7610364164825668426L;

    private String enterpriseId;

    /**
     * 社群活动id
     */
    private Long chatActivityId;

    /**
     * 邀请人会员ID
     */
    private String memberId;

    /**
     * 奖励人类型 1邀请人2受邀人
     */
    private Integer rewardInvite;

    /**
     * 开始时间
     */
    private Date beginTime;

    /**
     * 结束时间
     */
    private Date endTime;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Integer getRewardInvite() {
        return rewardInvite;
    }

    public void setRewardInvite(Integer rewardInvite) {
        this.rewardInvite = rewardInvite;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
